be.ehealth.businessconnector.mycarenet.memberdataasync.session

## Class MemberDataSessionServiceFactory

- java.lang.Object
- - be.ehealth.technicalconnector.session.AbstractSessionServiceFactory
  - - be.ehealth.businessconnector.mycarenet.memberdataasync.session.MemberDataSessionServiceFactory

-     public class MemberDataSessionServiceFactory
      extends AbstractSessionServiceFactory

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MemberDataService` | `getMemberDataIrisCareNetService()` Gets the `MemberDataService` instance for IrisCareNet endpoint
    `static MemberDataService` | `getMemberDataService()` Gets the `MemberDataService` instance for MyCareNet endpoint
    `static MemberDataService` | `getMemberDataWalCareNetService()` Gets the `MemberDataService` instance for WalCareNet endpoint

    - ### Methods inherited from class be.ehealth.technicalconnector.session.AbstractSessionServiceFactory

      `flushCache`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMemberDataService

          public static MemberDataService getMemberDataService()
                                                        throws ConnectorException

      Gets the `MemberDataService` instance for MyCareNet endpoint
      Throws:
        `ConnectorException`

    - #### getMemberDataIrisCareNetService

          public static MemberDataService getMemberDataIrisCareNetService()
                                                                   throws ConnectorException

      Gets the `MemberDataService` instance for IrisCareNet endpoint
      Throws:
        `ConnectorException`

    - #### getMemberDataWalCareNetService

          public static MemberDataService getMemberDataWalCareNetService()
                                                                  throws ConnectorException

      Gets the `MemberDataService` instance for WalCareNet endpoint
      Throws:
        `ConnectorException`

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.